namespace Telerik.Reporting.Examples.CSharp
{
    using System.ComponentModel;

    [Description("A collection of Product-related reports")]
    public class ReportBook : Telerik.Reporting.ReportBook
    {
        public ReportBook()
        {
            this.Reports.Add(new DashBoard());
            this.Reports.Add(new ProductSales()); 
            this.Reports.Add(new ProductCatalog());
            this.Reports.Add(new ProductLineSales());

            this.Reports[0].DocumentMapText = "Dash Board";
            this.Reports[1].DocumentMapText = "Product Sales";
            this.Reports[3].DocumentMapText = "Product Line Sales";
        }
    }
}